NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchIntersectionCurveBuilder Class Reference

Represents a NXOpen.SketchIntersectionCurve builder More...

Inheritance diagram for NXOpen.SketchIntersectionCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void CollectorUpdated ()
 This method needs to be called whenever the number of faces to intersect changes More...
 
unsafe void AlternateSolution (int solutionIndex)
 Method to get the alternate solution corresponding to solutionIndex More...
 
unsafe void CurveFitMethodUpdated ()
 This method needs to be called whenever the curve fit options changes More...
 
unsafe void GetOldAndNewOutputCurves (out NXOpen.NXObject[] oldOutputCurves, out NXOpen.NXObject[] newOutputCurves)
 Reports the old and new Intersection Curve outputs More...
 
unsafe void MapOutputCurve (NXOpen.NXObject oldOutputCurve, NXOpen.NXObject newOutputCurve)
 Maps old Intersection curves to new Intersection curves More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angular tolerance More...
 
unsafe bool Associative [get, set]
 Returns or sets the associative option More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitOptions 
CurveFitMethod [get]
 Returns the curve fit method More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.ScCollector FaceCollector [get]
 Returns the faces to intersect More...
 
unsafe bool IgnoreHoles [get, set]
 Returns or sets the ignore holes option More...
 
unsafe bool JoinCurves [get, set]
 Returns or sets the join curves option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Detailed Description

Represents a NXOpen.SketchIntersectionCurve builder

To obtain an instance of this class use NXOpen.SketchCollection.CreateIntersectionCurveBuilder .

Default values.

Property Value

CurveFitMethod.FitOption

Cubic

CurveFitMethod.MaximumDegree

7

CurveFitMethod.MaximumSegments

1

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.SketchIntersectionCurveBuilder.AlternateSolution ( int  solutionIndex)

Method to get the alternate solution corresponding to solutionIndex

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
solutionIndex
unsafe void NXOpen.SketchIntersectionCurveBuilder.CollectorUpdated ( )

This method needs to be called whenever the number of faces to intersect changes

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.SketchIntersectionCurveBuilder.CurveFitMethodUpdated ( )

This method needs to be called whenever the curve fit options changes

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.SketchIntersectionCurveBuilder.GetOldAndNewOutputCurves ( out NXOpen.NXObject[]  oldOutputCurves,
out NXOpen.NXObject[]  newOutputCurves 
)

Reports the old and new Intersection Curve outputs

This method returns the arrays of old and new Intersection Curve outputs. These are the old and new Intersection curves or points present during an edit of the feature. These curves or points should not be modified or deleted, doing so may result in part corruption and session may become unstable.

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
oldOutputCurvesThe array of old output curves or points.
newOutputCurvesThe array of new output curves or points.
unsafe void NXOpen.SketchIntersectionCurveBuilder.MapOutputCurve ( NXOpen.NXObject  oldOutputCurve,
NXOpen.NXObject  newOutputCurve 
)

Maps old Intersection curves to new Intersection curves

This method should be used to map old Intersection curve outputs to the new Intersection curve outputs during the edit of Intersection Curve.

To find old and new Intersection curve outputs see documentation for SketchIntersectionCurveBuilder.GetOldAndNewOutputCurves

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
oldOutputCurveThe old output curve or point which was removed and hence needs to be mapped.
newOutputCurveThe new output curve or point that would be mapped to the old output curve or point.

Property Documentation

unsafe double NXOpen.SketchIntersectionCurveBuilder.AngleTolerance
getset

Returns or sets the angular tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchIntersectionCurveBuilder.Associative
getset

Returns or sets the associative option

Created in NX11.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.GeometricUtilities.CurveFitOptions NXOpen.SketchIntersectionCurveBuilder.CurveFitMethod
get

Returns the curve fit method

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe double NXOpen.SketchIntersectionCurveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.ScCollector NXOpen.SketchIntersectionCurveBuilder.FaceCollector
get

Returns the faces to intersect

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.SketchIntersectionCurveBuilder.IgnoreHoles
getset

Returns or sets the ignore holes option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchIntersectionCurveBuilder.JoinCurves
getset

Returns or sets the join curves option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.